CDCEF(4)

NAME
cdcef - USB Communication Device Class Ethernet function

SYNOPSIS
cdcef* at usbf?

DESCRIPTION
The cdcef driver implements the USB Communication Device Class (CDC) Ethernet Emulation Model (EEM) to provide support for USB Host-to-Host bridges.

The USB bridge appears as a regular network interface on both sides, transporting Ethernet frames.

For more information on configuring this device, see ifconfig(8).

SEE ALSO
arp(4), cdce(4), intro(4), netintro(4), usbf(4), hostname.if(5), ifconfig(8) Universal Serial Bus Class Definitions for Communication Devices, http://www.usb.org/developers/devclass_docs/usbcdc11.pdf. CDC Subclass Specification for Ethernet Emulation Model Devices, http://www.usb.org/developers/devclass_docs/CDC_EEM10.pdf.

HISTORY
The cdcef driver first appeared in OpenBSD 4.1.

AUTHORS
-nosplit The cdcef driver was written by Uwe Stuehler <uwe@openbsd.org> and Dale Rahn <drahn@openbsd.org>.